// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
const moment = require("../../utils/moment.min")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '团队审核', leftArrow: true, useBar: false },
    user_id: '',
    user_name: '',
    apply_time: '',
    ids: '',
    src: '/image/adimges.jpg',
    isshow: true,
    // 主体高度
    infoHeight: '',
    //团队详情
    teamlist: [],
    //加入团队列表
    addlist: [],
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  //点击申请加入
  add: function (e) {
    let obj = e.currentTarget.dataset;
    let forms = {
      team_id: obj.id,
      team_name: obj.name,
      apply_time: this.data.apply_time,
      apply_user: this.data.user_name,
      apply_id: this.data.user_id
    }
    wx.showModal({
      title: '',
      content: '是否申请加入',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply`, //接口地址
            method: 'post',
            data: forms,
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({ title: `申请加入成功`, icon: 'success', duration: 2000 }) //创建成功提示
              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  //点击退出团队
  out() {
    wx.showModal({
      title: '',
      content: '是否确认退出团队',
      success(res) {
        if (res.confirm) {
          var team_id = this.data.teamlist.id;
          var user_id = this.data.user_id;
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/team/leaves`, //接口地址
            method: 'get',
            data: {
              "team_id": team_id,
              "user_id": user_id
            },
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({ title: `退出团队成功`, icon: 'success', duration: 2000 }) //创建成功提示
              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ ids: options.id });
    //获取当前时间
    let apply_time = moment().format('YYYY-MM-DD HH:mm:ss');
    this.setData({
      apply_time: apply_time,
    });
    // 计算高度
    this.searchHeight()
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    var that = this;
    let id = that.data.ids
    wx.getStorage({
      key: 'token',
      success: res => {
        that.setData({
          user_id: res.data.id,
          user_name: res.data.nickname
        })
        let user_id = res.data.id;
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/${id}`, //接口地址
          method: 'get',
          data: '',
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              let members = datas.members
              for (let i = 0; i < members.length; i++) {
                if (user_id == members[i].id) {
                  that.setData({
                    isshow: false,
                  });
                }
              }
              that.setData({
                teamlist: datas,
              });
              //加入团队列表
              wx.request({
                url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply`, //接口地址
                method: "get",
                data: { team_id: id },
                header: {},
                success: res => {
                  that.setData({ addlist: res.data.data })
                },
                error: err => {
                }
              })
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
 // 计算高度
 searchHeight: function () {
  let frameStyle = this.data.frameStyle;
  let client = app.globalData.client;
  let infoHeight = client.windowHeight;
  // 是否去掉状态栏
  if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
  // 是否减去底部菜单
  if (frameStyle.useBar) infoHeight = infoHeight - 50;
  if (infoHeight) this.setData({ infoHeight: infoHeight })
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})